/*
 * File:   audio_transmit.h
 *
 * Audio Transmission Library
 *
 * Cheng Xing, Rene Zhang
 * cx34, rz99
 * December 2015
 */
#ifndef __AUDIO_TRANSMIT_H__
#define __AUDIO_TRANSMIT_H__

#include "spi.h"

/***** Public Constants *****/

#define TRANS_CHAN SPI_CHANNEL1

// Number of samples in a single packet
#define PKT_SIZE 256
// Number of sync bytes to send
#define SYNC_NUM 4
// Synchronization byte
#define SYNC_DATA 0xDE

/***** Public Functions *****/

// Sends a single packet over the SPI channel
extern void at_transmit(char* pkt);

// Sets up the SPI channel
#define at_setup() { \
    spi1_setup(); \
}

/***** End Public Functions *****/

#endif  /* __AUDIO_TRANSMIT_H__ */
